Subject: Re: pkg_tarup getting all necessary
To: Tom Nakamura <>
From: Geert Hendrickx <>
List: tech-pkg
Date: 04/18/2005 10:05:55
On Sun, Apr 17, 2005 at 09:19:44PM -0700, Tom Nakamura wrote:
> I did "pkg_tarup -a firefox"... it created the following packages:
> Xft2-2.1.6nb1.tgz, firefox-1.0.1.tgz, freetype2-2.1.9nb1.tgz,
> gtk2+-2.6.4.tgz, jpeg-6bnb3.tgz, libIDL-0.8.5.tgz, png-1.2.8.tgz
> but according to
> firefox also needs:
> glib2>=2.6.1 {perl>=5.0,perl-thread>=5.0} xdg-dirs>=1.1 atk>=1.8.0nb1
> glib2>=2.6.3 glib2>=2.6.2 pango>=1.8.0 fontconfig>=2.2.96nb1
> expat>=1.95.8nb2 Xrender>=0.8.4nb1 tiff>=3.7.1nb1 xcursor>=1.1.1nb2
> Xfixes>=2.0.1nb1 fixesext>=2.0 Xrandr>=1.0.2nb1 
> to run... am I missing something?
> tom

These probably are dependencies of dependencies?  The package only
collects the "first order" dependencies, any further dependencies will
be picked up when installing those.